Retrieves the unavailability with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Response Formats
application/json, text/json
{
"id": "2f52c832-5942-4c7d-a887-a2706a146a87",
"date_start": "2026-06-26T02:30:02.0521597+00:00",
"date_end": "2026-06-26T02:30:02.0521597+00:00",
"modified_dateutc": "2026-06-26T02:30:02.0521597+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "c0abfbd2-26db-490f-8f75-619201f9e956",
"user_code": "sample string 8",
"user": {
"id": "d84f22e1-005f-40ef-8bca-1b370d77df3d",
"db_language_id": "a05eadec-448b-44f8-b18c-0ae7d96f07ea",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-06-26T02:30:02.0521597+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "94d28f2e-2334-46a8-8fe6-9a8400d6e8e1",
"sales_organization": {
"id": "aa3a8565-9ba3-4a00-a4a0-8fa38933e0fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6eba34e0-a0cc-4422-b4c0-31a45f96ee26",
"db_currency_id": "d3c2b67a-8096-4504-a1ae-c5cb006b965e",
"db_language_id": "4c1b5074-fc7a-4851-8bd7-c0ad7b84806a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-26T02:30:02.0521597+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "9321ad80-10a3-4933-9dfc-06e524a8344d",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "4b814a98-373c-4ae9-8b7f-ec8dfaf55dca",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-06-26T02:30:02.0521597+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "280f89f7-ca08-421c-b1fe-04ffb681b236"
},
"user_unavailability_type_id": "2d3e6e4e-5301-469d-8f2f-ca20e843533c",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "a14e7f6d-839e-4638-bce2-1ffdc488afbe",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "5ecfad37-f37b-4bca-a14b-dd34d35eca63",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "aa3a8565-9ba3-4a00-a4a0-8fa38933e0fa",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6eba34e0-a0cc-4422-b4c0-31a45f96ee26",
"db_currency_id": "d3c2b67a-8096-4504-a1ae-c5cb006b965e",
"db_language_id": "4c1b5074-fc7a-4851-8bd7-c0ad7b84806a",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-26T02:30:02.0521597+00:00"
},
"modified_dateutc": "2026-06-26T02:30:02.0521597+00:00"
}
}